For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • GETGet basic paypoint details
            • GETGet basic paypoint details by ID
            • GETGet paypoint details
            • GETGet paypoint settings
            • PUTUpload logo
            • GETList paypoints by organization
            • GETExport paypoints by organization
            • POSTMigrate paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesPaypoint

Upload logo

|View as Markdown|Open in Claude|
PUT
/Paypoint/logo/:entry
PUT
/api/Paypoint/logo/:entry
$curl -X PUT https://api-sandbox.payabli.com/api/Paypoint/logo/8cfec329267 \
> -H "requestToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "responseText": "Success",
3 "responseCode": 1,
4 "pageIdentifier": "null",
5 "isSuccess": true,
6 "responseData": "responseData"
7}
Updates a paypoint logo.
Was this page helpful?
Previous

Get paypoint settings

Next

List paypoints by organization

Authentication

requestTokenstring
API Key authentication via header

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

Request

This endpoint expects an object.
fContentstringOptional

Content of file, Base64-encoded. Ignored if furl is specified. Max upload size is 30 MB.

filenamestringOptional
The name of the attached file.
ftypeenumOptional

The MIME type of the file (if content is provided).

furlstringOptional
Optional URL provided to show or download the file remotely.

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseCodeinteger

Code for the response. Learn more in API Response Codes.

pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
roomIdlong

Describes the room ID. Only in use on Boarding endpoints, returns 0 when not applicable.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseDatastring or integer
The response data.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error